class TextModelPart {
  constructor() {
    this._isDisposed = false;
  }
  dispose() {
    this._isDisposed = true;
  }
  assertNotDisposed() {
    if (this._isDisposed) {
      throw new Error("TextModelPart is disposed!");
    }
  }
}
export {
  TextModelPart
};
